<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>
        
  <xsl:template match="TestResults">
    <html>
      <head>
        <title>SAX Conformance Results for <xsl:value-of select="Parser"/></title>
      </head>
      <body>
        <h1>SAX Conformance Results for <xsl:value-of select="Parser"/></h1>
        
        <p>
        Passed <xsl:value-of select="@testsPassed"/> of <xsl:value-of select="@testsRun"/> tests.  
        </p>
        
        <p>
        Failed <xsl:value-of select="@testsRun - @testsPassed"/> of <xsl:value-of select="@testsRun"/> tests.  
        </p>
        
        <p>
        Conformance level: <xsl:value-of select="format-number(100 * @testsPassed div @testsRun, '#0.##')"/>%.  
        </p>
        
  <table style="background: green" align="center" width="90%" border="bottom" valign="top">
    <tr>   
      <th></th>
      <th>Test ID</th>
      <th>Type</th>
      <th>Input</th>
      <th>Compare results</th>
      <th>Sections</th>
      <th>Test Description</th>
    </tr>
          <xsl:apply-templates select="TestResult"/>
   </table>
        
      </body>
    </html>
  </xsl:template>
  
  <xsl:template match="TestResult">
    <tr>
      <xsl:if test="@passed = 'false'">
        <xsl:attribute name="style">background: red</xsl:attribute>
      </xsl:if>
      <td><xsl:number/></td>
      <td><xsl:value-of select="@ID"/></td>
      <td><xsl:value-of select="@TYPE"/></td>
      <td><a href="http://dev.w3.org/cvsweb/~checkout~/2001/XML-Test-Suite/xmlconf/{substring-after(@original, '/xmlconf/')}?content-type=text/plain" 
      target="_blank">Input</a></td>
      <!-- <td><a href="{@expected}">Expected</a></td>
      <td><a href="{@actual}">Actual</a></td> -->
      <td><a href="{@actual}.html">Compare Results</a></td>
      <td><xsl:value-of select="@SECTIONS"/></td>
      <td><xsl:value-of select="."/></td>
    </tr>
  </xsl:template>

</xsl:stylesheet>